%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	library for FTDI Serial-USB converter ICs
Name:		libftdi
Version:	0.19
Release:	1
License:	GNU/GPL
URL:		http://www.intra2net.com/de/produkte/opensource/ftdi/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: boost-devel
BuildRequires: python26-devel
BuildRequires: swig
BuildRequires: doxygen

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libusb-devel

%description
A library (using libusb) to talk to FTDI's FT232BM/245BM,
FT2232C/D and FT232/245R type chips including
the popular bitbang mode.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files for developing applications using %{name}

%package        python
Summary:        python bindings for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    python
python bindings for %{name}

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
--disable-dependency-tracking \
--enable-python-binding \
PYTHON=/usr/bin/python%{PYVER} \
--with-boost

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man3
gzip doc/man/man3/*.3*
cp doc/man/man3/* $RPM_BUILD_ROOT/usr/share/man/man3/

%files
%defattr(-,root,root)
%{_bindir}/baud_test
%{_bindir}/bitbang
%{_bindir}/bitbang2
%{_bindir}/bitbang_cbus
%{_bindir}/bitbang_ft2232
%{_bindir}/find_all
%{_bindir}/find_all_pp
%{_bindir}/libftdi-config
%{_bindir}/serial_read
%{_bindir}/simple
%{_mandir}/man3/deprecated.3.gz
%{_mandir}/man3/Ftdi.3.gz
%{_mandir}/man3/ftdi.c.3.gz
%{_mandir}/man3/ftdi_context.3.gz
%{_mandir}/man3/Ftdi_Context.3.gz
%{_mandir}/man3/Ftdi_Context_Private.3.gz
%{_mandir}/man3/ftdi.cpp.3.gz
%{_mandir}/man3/ftdi_device_list.3.gz
%{_mandir}/man3/ftdi_eeprom.3.gz
%{_mandir}/man3/Ftdi_Eeprom.3.gz
%{_mandir}/man3/Ftdi_Eeprom_Private.3.gz
%{_mandir}/man3/ftdi.h.3.gz
%{_mandir}/man3/ftdi.hpp.3.gz
%{_mandir}/man3/Ftdi_List.3.gz
%{_mandir}/man3/Ftdi_List_Private.3.gz
%{_mandir}/man3/libftdi.3.gz
%{_mandir}/man3/usb_dev_handle.3.gz
%{_libdir}/libftdi.so.*
%{_libdir}/libftdipp.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/ftdi.h
%{_includedir}/ftdi.hpp
%{_pkgconfig}/libftdi.pc
%{_pkgconfig}/libftdipp.pc
%{_libdir}/libftdi.so
%{_libdir}/libftdipp.so
%{_libdir}/libftdi.la
%{_libdir}/libftdipp.la
%{_libdir}/libftdi.a
%{_libdir}/libftdipp.a

%files python
%{python_sitearch}/_ftdi.so
%{python_sitearch}/ftdi.py
%{python_sitearch}/ftdi.pyc
%{python_sitearch}/libftdi-%{version}-py2.6.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 24 2011 Karsten Brockmann <arcam@ccux-linux.de> 0.19-1
- version update
* Mon Oct 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.18-1
- version update
* Mon Nov 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.16-2
- rebuilt
- edited files list
* Fri May 08 2009 Christian Wasem <wasem@ccux-linux.de> 0.16-1
- Version update
* Fri Dec 19 2008 Christian Wasem <wasem@ccux-linux.de> 0.15-1
- Version update
* Mon May 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.12-1
- Version update
* Mon Mar 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.11-1
- initial package release
